/* Scrutari - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.api.fieldvariant.FieldVariant;
import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import java.util.List;
import net.mapeadores.util.html.HA;


/**
 *
 * @author Vincent Calame
 */
public final class FieldsPrint {

    private FieldsPrint() {

    }

    public static void printFieldVariantList(AdminHtmlPage hp) {
        List<FieldVariant> fieldVariantList = hp.getEngine().getFieldVariantManager().getFieldVariantList();
        if (fieldVariantList.isEmpty()) {
            hp
                    .P()
                    .SPAN(HA.classes("scrutari-admin-Info"))
                    .localize("_ info.sctconf.none_fields")
                    ._SPAN()
                    ._P();
        } else {
            hp
                    .UL();
            for (FieldVariant fieldVariant : fieldVariantList) {
                hp
                        .LI()
                        .P()
                        .CODE()
                        .escape('[')
                        .escape(fieldVariant.getName())
                        .escape(']')
                        ._CODE()
                        ._P()
                        ._LI();
            }
            hp
                    ._UL();
        }

    }

}
