/* SctServer_API - Copyright (c) 2005-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api;

import fr.exemole.sctserver.api.storage.EngineStorage;


/**
 *
 * @author Vincent Calame
 */
public interface SctEngine {

    public final static short INIT_TYPE = 1;
    public final static short FORCE_TYPE = 2;
    public final static short CRON_TYPE = 3;
    public final static short UPDATECONF_TYPE = 4;

    public String getEngineName();

    public EngineMetadata getEngineMetadata();

    public EngineContext getEngineContext();

    public boolean reload(short type);

    public ScrutariSession getScrutariSession();

    public ScrutariSourceManager getScrutariSourceManager();

    public FieldVariantManager getFieldVariantManager();

    public AttributeDefManager getAttributeDefManager();

    public EngineStorage getEngineStorage();

    public ConfState getConfState();

}
