/* SctServer - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.fieldvariant;

import java.util.List;
import net.mapeadores.util.attr.AttributeKey;


/**
 *
 * @author Vincent Calame
 */
public interface FieldVariant {

    public final static int FICHE_CODEFICHE = 0;
    public final static int FICHE_CODECORPUS = 1;
    public final static int FICHE_CODEBASE = 2;
    public final static int FICHE_BASENAME = 3;
    public final static int FICHE_CORPUSNAME = 4;
    public final static int FICHE_FICHEID = 5;
    public final static int FICHE_TITRE = 6;
    public final static int FICHE_SOUSTITRE = 7;
    public final static int FICHE_HREF = 8;
    public final static int FICHE_LANG = 9;
    public final static int FICHE_YEAR = 10;
    public final static int FICHE_DATE = 11;
    public final static int FICHE_FICHEICON = 12;
    public final static int FICHE_ICON = 13;
    public final static int FICHE_GEO = 14;
    public final static int FICHE_COMPLEMENTS = 15;
    public final static int FICHE_ATTRIBUTES = 16;
    public final static int FICHE_MTITRE = 17;
    public final static int FICHE_MSOUSTITRE = 18;
    public final static int FICHE_MCOMPLEMENTS = 19;
    public final static int FICHE_MATTRIBUTES = 20;
    public final static int FICHE_SCORE = 21;
    public final static short NONE_TYPE = 0;
    public final static short CONCERNED_TYPE = 1;
    public final static short PRIMARY_TYPE = 2;
    public final static short ALL_TYPE = 3;
    public final static int MOTCLE_CODEMOTCLE = 0;
    public final static int MOTCLE_CODETHESAURUS = 1;
    public final static int MOTCLE_CODEBASE = 2;
    public final static int MOTCLE_BASENAME = 3;
    public final static int MOTCLE_THESAURUSNAME = 4;
    public final static int MOTCLE_MOTCLEID = 5;
    public final static int MOTCLE_LABELS = 6;
    public final static int MOTCLE_ATTRIBUTES = 7;
    public final static int MOTCLE_MLABELS = 8;

    public String getName();

    public boolean isFicheWith(int field);

    public short getFicheWithType(int field);

    public boolean isMotcleWith(int field);

    public short getMotcleWithType(int field);

    public List<Alias> getFicheAliasList();


    public static interface Alias {

        public String getName();

        public String getSeparator();

        public List<FieldReference> getFieldReferenceList();

    }


    public static interface FieldReference {

    }


    public static interface CoreFieldReference extends FieldReference {

        public int getField();

    }


    public static interface ComplementFieldReference extends FieldReference {

        public int getComplementNumber();

    }


    public static interface AttributeFieldReference extends FieldReference {

        public AttributeKey getAttributeKey();

    }

}
