/* SctServer - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.json.category;

import fr.exemole.sctserver.json.JsonUtils;
import java.io.IOException;
import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.json.CommonJson;
import net.mapeadores.util.json.JSONWriter;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.LabelUtils;
import net.scrutari.db.api.codes.Codes;
import net.scrutari.searchengine.api.options.Category;
import net.scrutari.searchengine.api.options.CategoryDef;


/**
 *
 * @author Vincent Calame
 */
public final class CategoryJson_B {

    private CategoryJson_B() {

    }

    public static void object(JSONWriter jsonWriter, Category category, Lang lang, boolean withStats) throws IOException {
        CategoryDef categoryDef = category.getCategoryDef();
        jsonWriter.object();
        jsonWriter.key("rank");
        jsonWriter.value(categoryDef.getRank());
        jsonWriter.key("name");
        jsonWriter.value(categoryDef.getName());
        jsonWriter.key("title");
        jsonWriter.value(LabelUtils.seekLabelString(categoryDef, lang, categoryDef.getName()));
        jsonWriter.key("phraseMap");
        CommonJson.object(jsonWriter, categoryDef.getPhrases(), lang);
        if (withStats) {
            jsonWriter.key("stats");
            jsonWriter.object();
            JsonUtils.addCountStats(jsonWriter, category.getCountStats());
            JsonUtils.addFicheStats(jsonWriter, category.getFicheStats());
            jsonWriter.endObject();
        }
        Codes corpusCodes = category.getCorpusCodes();
        int corpusCount = corpusCodes.getCodeCount();
        jsonWriter.key("codecorpusArray");
        jsonWriter.array();
        for (int i = 0; i < corpusCount; i++) {
            jsonWriter.value(corpusCodes.getCode(i));
        }
        jsonWriter.endArray();
        jsonWriter.key("attrMap");
        CommonJson.object(jsonWriter, (AttributeHolder) categoryDef);
        jsonWriter.endObject();
    }

}
