/* SctServer - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.json.enginemetadata;

import fr.exemole.sctserver.api.EngineMetadata;
import java.io.IOException;
import java.net.URL;
import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.json.CommonJson;
import net.mapeadores.util.json.JSONWriter;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public final class EngineMetadataJson_B {

    private EngineMetadataJson_B() {

    }

    public static void properties(JSONWriter jsonWriter, String engineName, EngineMetadata engineMetadata, Lang lang, boolean withLabelMap) throws IOException {
        CommonJson.defaultLabel(jsonWriter, engineMetadata, lang, "title", engineName);
        if (withLabelMap) {
            jsonWriter.key("labelMap");
            CommonJson.object(jsonWriter, (LabelHolder) engineMetadata);
        }
        jsonWriter.key("phraseMap");
        CommonJson.object(jsonWriter, engineMetadata.getPhrases(), lang);
        printUrl(jsonWriter, "icon", engineMetadata.getIcon());
        printUrl(jsonWriter, "website", engineMetadata.getWebsite());
        jsonWriter.key("attrMap");
        CommonJson.object(jsonWriter, (AttributeHolder) engineMetadata);
    }

    public static void emptyProperties(JSONWriter jsonWriter, String engineName, boolean withLabelMap) throws IOException {
        jsonWriter.key("title");
        jsonWriter.value(engineName);
        if (withLabelMap) {
            jsonWriter.key("labelMap");
            jsonWriter.object();
            jsonWriter.endObject();
        }
        jsonWriter.key("phraseMap");
        jsonWriter.object();
        jsonWriter.endObject();
        jsonWriter.key("attrMap");
        jsonWriter.object();
        jsonWriter.endObject();
    }

    private static void printUrl(JSONWriter jsonWriter, String key, URL url) throws IOException {
        if (url == null) {
            return;
        }
        jsonWriter.key(key);
        jsonWriter.value(url.toString());
    }

}
