/* SctServer - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.json.fichesearch;

import java.io.IOException;
import net.mapeadores.util.json.JSONWriter;
import net.scrutari.db.api.codes.Codes;
import net.scrutari.searchengine.api.result.FicheSearchResultInfo;


/**
 *
 * @author Vincent Calame
 */
public final class CodemotcleArrayJson_A {

    private CodemotcleArrayJson_A() {

    }

    public static void properties(JSONWriter jsonWriter, FicheSearchResultInfo ficheSearchResultInfo) throws IOException {
        Codes motcleCodes = ficheSearchResultInfo.getMotcleCodes();
        int ficheMotcleLength = motcleCodes.getCodeCount();
        if (ficheMotcleLength > 0) {
            jsonWriter.key("codemotcleArray");
            jsonWriter.array();
            for (int k = 0; k < ficheMotcleLength; k++) {
                jsonWriter.value(motcleCodes.getCode(k));
            }
            jsonWriter.endArray();
        }
    }

}
