/* SctServer - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.json.fichesearch;

import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class InsertOptions {

    public final static int SEARCHMETA = 0;
    public final static int MOTCLEARRAY = 1;
    public final static int ENGINEINFO = 2;

    private final boolean[] withArray = new boolean[3];

    {
        withArray[SEARCHMETA] = true;
        withArray[MOTCLEARRAY] = true;
    }

    public boolean isWith(int insert) {
        try {
            return withArray[insert];
        } catch (IndexOutOfBoundsException e) {
            return false;
        }
    }

    public void setWith(int insert, boolean value) {
        if ((insert < 0) || (insert >= withArray.length)) {
            return;
        }
        withArray[insert] = value;
    }

    public void parseOptions(String options) {
        String[] tokens = StringUtils.getTechnicalTokens(options, true);
        for (String token : tokens) {
            String constantToken = token.toLowerCase();
            switch (constantToken) {
                case "-searchmeta":
                    setWith(SEARCHMETA, false);
                    break;
                case "-motclearray":
                    setWith(MOTCLEARRAY, false);
                    break;
                case "engineinfo":
                    setWith(ENGINEINFO, true);
                    break;
            }
        }
    }


}
