/* @@@@@APPLICATION@@@@@ - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.tools.fieldvariant;

import fr.exemole.sctserver.api.fieldvariant.FieldVariant;
import java.util.AbstractList;
import java.util.Collections;
import java.util.List;
import java.util.RandomAccess;


/**
 *
 * @author Vincent Calame
 */
public final class FieldVariantUtils {

    public final static List<FieldVariant> EMPTY_FIELDWARIANTLIST = Collections.emptyList();
    public final static List<FieldVariant.Alias> EMPTY_ALIASLIST = Collections.emptyList();

    private FieldVariantUtils() {

    }

    public static List<FieldVariant> wrap(FieldVariant[] array) {
        return new FieldVariantList(array);
    }

    public static List<FieldVariant.Alias> wrap(FieldVariant.Alias[] array) {
        return new AliasList(array);
    }


    private static class FieldVariantList extends AbstractList<FieldVariant> implements RandomAccess {

        private final FieldVariant[] array;

        private FieldVariantList(FieldVariant[] array) {
            this.array = array;
        }

        @Override
        public int size() {
            return array.length;
        }

        @Override
        public FieldVariant get(int index) {
            return array[index];
        }

    }


    private static class AliasList extends AbstractList<FieldVariant.Alias> implements RandomAccess {

        private final FieldVariant.Alias[] array;

        private AliasList(FieldVariant.Alias[] array) {
            this.array = array;
        }

        @Override
        public int size() {
            return array.length;
        }

        @Override
        public FieldVariant.Alias get(int index) {
            return array[index];
        }

    }

}
