var SCRUTARI_L10N = {
lang:'en',
'_ and':'AND',
'_ button_check_all':'Check all',
'_ button_close':'Close',
'_ button_filter_off':'Turn filter off',
'_ button_filter_on':'Turn filter on',
'_ button_parameters':'Filters and options',
'_ button_remove':'Remove',
'_ button_submit':'Search',
'_ button_uncheck_all':'Uncheck all',
'_ colon':':',
'_ error.empty.parametervalue':'Error: the search only has meaningless characters!',
'_ error.empty.searchtoken':'Empty search term',
'_ error.unknown.attribute':'Unknown attribute',
'_ error.unknown.fichesearchresult':'Search ID unknown',
'_ error.unknown.operandtype':'Operand type unknown',
'_ error.unknown.scope':'Unknown field',
'_ error.wrong.missingword':'Missing word',
'_ error.wrong.notletterordigitcharacter':'Incorrect character',
'_ error.wrong.operand_add':'Malformed operand',
'_ error.wrong.operand_date':'Malformed date',
'_ error.wrong.operationsyntax':'Syntax error in the advanced search',
'_ error.wrong.unclosedquote':'Unclosed quote',
'_ error.wrong.unexpectedspace':'Unexpected space',
'_ fiche_motscles_many':'Keywords:',
'_ fiche_motscles_one':'Keyword:',
'_ filter_off':'[off]',
'_ filter_on':'[on]',
'_ link_atom':'ATOM feed',
'_ link_ods':'Table in ODS format',
'_ link_permalink':'Permalink',
'_ links':'Retrieving all references:',
'_ loading_pagination':'Loading…',
'_ loading_search':'Searching…',
'_ mode_help':'Help on relationships between search terms',
'_ mode_intersection':'And',
'_ mode_operation':'Advanced',
'_ mode_title':'Relationship between terms:',
'_ mode_union':'Or',
'_ or':'OR',
'_ periode_help':'Help on limiting to a period',
'_ periode_title':'Limited to a period:',
'_ ponderation_date':'Date',
'_ ponderation_help':'Help on classification priority',
'_ ponderation_pertinence':'Relevance',
'_ ponderation_title':'Classification priority:',
'_ result_none':'No results for the requested search (check if you can simplify the search)',
'_ stats_filter_short':'Filter:',
'_ stats_filter_title':'Number of references the search will apply to on the basis of the active filters',
'_ stats_global_short':'Total:',
'_ stats_global_title':'Total number of references in the search engine',
'_ stats_result_short':'Result:',
'_ stats_result_title':'Number of references that answer the search criteria',
'_ title_filter_base':'Database filter',
'_ title_filter_category':'Document type filter',
'_ title_filter_corpus':'Corpus filter',
'_ title_filter_lang':'Language filter',
'_ title_history':'Search\u00A0history:',
'_ title_main':'Scrutari search',
'_ title_options':'Search options\u00A0',
'_ title_share':'Share:',
'_ title_subquery_1':'Searching latest results [',
'_ title_subquery_2':']:',
'_ wildchar_end':'“*” is added automatically at the end of the word',
'_ link_poweredby':'Search powered by Scrutari',
'_ help_mode.html':'<p> <strong>Simple search (</strong><strong><em>And</em></strong><strong>&nbsp;/ </strong><strong><em>Or</em></strong> <strong>options):</strong> the spaces are delimiters for the search terms; if the option <em>And</em> is selected, a reference has to include all the search terms; if the selected option is <em>Or</em>, a reference has to include at least one of the terms.</p><p>The asterisk <kbd>*</kbd> indicates a truncation:</p><ul> <li> <p> <kbd>gov*</kbd>: all words beginning with &ldquo;gov&rdquo;</p> </li> <li> <p> <kbd>*logy</kbd>: all words ending in &ldquo;logy&rdquo;</p> </li> <li> <p> <kbd>*eco*</kbd>: all words including &ldquo;eco&rdquo;</p> </li> </ul><p>If the option <em>&ldquo;*&rdquo; automatically added to the end of the word</em> is ticked, all the words are considered to have a truncation on the right (unless they are in quotation marks).</p><p>We use straight quotation marks to indicate a sequence of words. It is possible to indicate truncations inside quotation marks:</p><ul> <li> <p> <kbd>"organic farming"</kbd>: ignores the term organic if it is not followed by farming</p> </li> <li> <p> <kbd>"part"</kbd>: only searches for the word &ldquo;part&rdquo; even if the automatic asterisk to the right is activated</p> </li> <li> <p> <kbd>"pub* pol*"</kbd>: search for sequences of a word beginning with &ldquo;pub&rdquo; followed by a word beginning with &ldquo;pol&rdquo;</p> </li> </ul><p>The following rules apply:</p><ul> <li> <p>searches do not take accents and uppercase letters into account</p> </li> <li> <p>characters other than letters and figures are ignored</p> </li> <li> <p>the search engine does not propose corrections for typing errors and spelling mistakes</p> </li> <li> <p>the search engine does not index in the references words with one or two letters, such as common words which are not significant in a given language (&ldquo;les, avec, par&rdquo; will be ignored in French, &ldquo;the&rdquo; is ignored in English but not in French, to include searches on the term &ldquo;th&eacute;&rdquo;)</p> </li> </ul><p> <br> <strong>Advanced search (&ldquo;Advanced&rdquo; option):</strong> the advanced search uses the same principles as the simple search in terms of syntax (asterisk <kbd>*</kbd> for truncations, quotation marks for sequences) but the space is no longer a delimiter; instead, we use three operators:</p><ul> <li> <p> <kbd>&amp;&amp;</kbd>: And</p> </li> <li> <p> <kbd>||</kbd>: Or</p> </li> <li> <p> <kbd>!</kbd>: No</p> </li> </ul><p>We use brackets to form logical groups.</p><p>Examples:</p><ul> <li> <p> <kbd>farming &amp;&amp;~!organic</kbd>: searches for references containing a word beginning with farming and not containing any words beginning with organic</p> </li> <li> <p> <kbd>farming &amp;&amp;~!(organic || country)</kbd>: searches for references containing a word beginning with farming and not containing either words beginning with organic or words beginning with country</p> </li> </ul><p>All syntax errors (including the use of characters other than numbers, unauthorized letters and a space for separating words not in quotation marks) produce an error message.</p><p>It is possible to restrict the search for a word to a given field by prefixing a term. Possible prefixes are:</p><ul> <li> <p> <em>title:</em> = only in titles</p> </li> <li> <p> <em>subtitle:</em> = only in subtitles</p> </li> <li> <p> <em>keyword:</em> = only in keywords</p> </li> <li> <p> <em>additional:</em> = in &ldquo;additional&rdquo; fields (complementary fields and attributes)</p> </li> <li> <p>all attribute names followed by&nbsp;: defined by the search engine (e.g. <em>sct:authors:</em> but it depends on the engine used)</p> </li> </ul><p>Examples:</p><ul> <li> <p> <kbd>title:governance</kbd>: &ldquo;governance&rdquo; only in the title</p> </li> <li> <p> <kbd>sct:authors:"Victor Hugo"</kbd>: search for the author Victor Hugo (if the attribute <em>sct:authors</em> is properly defined by the engine)</p> </li> <li> <p> <kbd>title:pol* &amp;&amp;~!sct:authors:Smith</kbd>: reference with a word beginning with &ldquo;pol&rdquo; in the title and whose author is not Smith</p> </li> </ul><p>See <a href="http://www.scrutari.net/dokuwiki/serveurscrutari:json:qsyntax" hreflang="fr" target="_blank">Search syntax</a> on the Scrutari website (in french)</p> ',
'_ help_periode.html':'<p>This field is used to restrict references to those that correspond to a given period. It is possible to specify:</p><ul> <li> <p>a particular year: <kbd>2014</kbd> </p> </li> <li> <p>a period covering several years by using the slash mark <kbd>/</kbd> as a delimiter: <kbd>2000/2011</kbd> </p> </li> <li> <p>a particular month: <kbd>2014-01</kbd> </p> </li> <li> <p>a period beginning and ending with a particular month: <kbd>2013/2014-04</kbd> </p> </li> <li> <p>several different periods, by separating them with two vertical bars <kbd>||</kbd> (&ldquo;OR&rdquo; operator): <kbd>2001/2002||2005||2012-11</kbd> </p> </li> </ul><p>It is worth noting that, frequently, only the year of a given reference is known. This means that in certain configurations, specifying the month will not produce any results.</p> ',
'_ help_ponderation.html':'<p>Configuration of ranking priority will affect the order results are displayed in:</p><ul> <li> <p> <strong>ranking by relevance:</strong> priority is given to references containing the search terms in the main fields (title, subtitle) rather than secondary fields, with a premium when it is also present in the keywords.</p> <p>The date does, however, play a role in deciding on similar ratings by relevance. In addition, when engines search several databases, ranking may be slightly altered to avoid overly long series of references from the same database;</p> </li> <li> <p> <strong>ranking by date:</strong> as explained by the name, this is when the most recent references are positioned first, with relevance as the deciding factor when dates are very similar; references without dates are at the end.</p> </li> </ul> '
};
