/* FichothequeLib_Tools - Copyright (c) 2016-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.misc;

import net.mapeadores.util.attr.AppendableAttributeHolderBuilder;
import net.mapeadores.util.attr.Attribute;
import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.ChangeLabelHolderBuilder;
import net.mapeadores.util.text.Label;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public class DefBuilder {

    private final AppendableAttributeHolderBuilder attributesBuilder = new AppendableAttributeHolderBuilder();
    private final ChangeLabelHolderBuilder labelHolderBuilder = new ChangeLabelHolderBuilder();

    public DefBuilder() {

    }

    public AppendableAttributeHolderBuilder getAttributesBuilder() {
        return attributesBuilder;
    }

    public void putLabel(Label label) {
        labelHolderBuilder.putLabel(label);
    }

    protected LabelHolder toLabelHolder() {
        return labelHolderBuilder.toChangeLabelHolder();
    }

    protected AttributeHolder toAttributeHolder() {
        return attributesBuilder.toAttributeHolder();
    }


    public static class Def implements LabelHolder, AttributeHolder {

        private final LabelHolder labelHolder;
        private final AttributeHolder attributeHolder;

        public Def(LabelHolder labelHolder, AttributeHolder attributeHolder) {
            this.labelHolder = labelHolder;
            this.attributeHolder = attributeHolder;
        }

        @Override
        public int getLabelCount() {
            return labelHolder.getLabelCount();
        }

        @Override
        public Label getLabelByIndex(int i) {
            return labelHolder.getLabelByIndex(i);
        }

        @Override
        public Label getLabelByLang(Lang lang) {
            return labelHolder.getLabelByLang(lang);
        }

        @Override
        public Attribute getAttributeByKey(AttributeKey key) {
            return attributeHolder.getAttributeByKey(key);
        }

        @Override
        public int getAttributeCount() {
            return attributeHolder.getAttributeCount();
        }

        @Override
        public Attribute getAttributeByIndex(int i) {
            return attributeHolder.getAttributeByIndex(i);
        }

    }

}
